gfscompare(1)

NAME
gfscompare2D, gfscompare3D - computes the difference between the solutions in FILE1 and FILE2 for variable VAR.

SYNOPSIS
gfscompare [OPTION]FILE

DESCRIPTION
This manual page documents briefly the gfscompare command.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-x, --mixed
    Compute error only in mixed cells.

-m V, --min=V
    Set minimum of color scale to V (used with -S).

-M V, --max=V
    Set maximum of color scale to V.

-a, --abs
    Output the absolute value of the error field.

-C, --constant
    Apply a constant shift to one of the field, minimizing the error between the two fields (useful for pressure).

-w, --not-weighted
    Do not use area-weighted norm estimation.

-c, --centered
    Use error estimation for cell-centered variables.

-p P, --period=P
    Shifts FILE1 by P along the x axis.

-H, --histogram
    Output (error,volume) pairs for each cell used to compute the error norms.

-o, --output
    Output a GTS representation of the error field.

-S, --squares
    Output an OOGL representation of the error field.

-G, --gnuplot
    Output a gnuplot representation of the error field.

-t, --triangulate
    Use center of mass triangulation.

-l, --log
    Output the log10 of the absolute value of the error field.

-f L, --full=L
    Compare only leaf cells descendants of a cell full at level L or all full leaf cells if L = -1.

-r, --refined
    Display error norm on the finest grid.

-n, --nocheck
    Do not check solid fractions.

-g C, --gradient=C
    Use the C component of the gradient of VAR.

-v, --verbose
    Display difference statistics and other info.

-h, --help
    Display the help and exit.

AUTHOR
gfscompare was written by Stephane Popinet <s.popinet@niwa.co.nz>.

This manual page was written by Ruben Molina <rmolina@udea.edu.co>, for the Debian project (but may be used by others).